"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeBrowser = exports.defaultCloseOptions = void 0;
const utils_1 = require("../../../utils");
exports.defaultCloseOptions = {
    timeoutInMilliseconds: 3000,
};
async function closeBrowser(browser, options) {
    if (browser === undefined) {
        return;
    }
    const contexts = browser.contexts();
    if (Array.isArray(contexts) && contexts.length > 0) {
        for (let index = 0; index < contexts.length; index++) {
            const context = contexts[index];
            try {
                await Promise.race([context.close(), (0, utils_1.sleep)(options.timeoutInMilliseconds)]);
            }
            catch (error) {
                // eslint-disable-next-line no-console
                console.warn('Error while closing the browser context', error);
            }
        }
    }
    try {
        await Promise.race([browser.close(), (0, utils_1.sleep)(options.timeoutInMilliseconds)]);
    }
    catch (error) {
        // eslint-disable-next-line no-console
        console.warn('Error while closing the browser', error);
    }
}
exports.closeBrowser = closeBrowser;
