"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const playwright_1 = require("playwright");
const SUT = tslib_1.__importStar(require("../index"));
describe('get client rectangle', () => {
    let browser = undefined;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    afterEach(async () => {
        if (browser) {
            await browser.close();
        }
    });
    test('should return an error when selector is not found - firefox', async () => {
        // Given
        browser = await playwright_1.firefox.launch({ headless: true });
        const browserContext = await browser.newContext({ viewport: null });
        const page = await browserContext.newPage();
        // When
        // Then
        const expectedError = new Error('page.$eval: Error: failed to find element matching selector "foobar"');
        await SUT.getClientRectangleOf('foobar', page).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
