import { ElementHandle, Frame, Page } from 'playwright';
export type Modifier = 'Alt' | 'Control' | 'Meta' | 'Shift';
export type Button = 'left' | 'right' | 'middle';
export type Point = {
    x: number;
    y: number;
};
export interface ClickOptions {
    button: Button;
    clickCount: number;
    delay: number;
    modifiers?: Modifier[];
    position?: Point;
    stabilityInMilliseconds: number;
    timeoutInMilliseconds: number;
    verbose: boolean;
}
export declare const defaultClickOptions: ClickOptions;
export declare function clickOnHandle(selector: ElementHandle<Element> | undefined | null, name: string, page: Page | Frame | undefined, options: ClickOptions): Promise<void>;
