"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getClassListOfHandle = void 0;
async function getClassListOfHandle(selector) {
    if (!selector) {
        return [];
    }
    const stringifiedClassList = await selector.evaluate((el) => {
        const classList = Array.from(el.classList);
        return JSON.stringify(classList);
    });
    const classList = JSON.parse(stringifiedClassList);
    if (!Array.isArray(classList)) {
        return [];
    }
    return classList;
}
exports.getClassListOfHandle = getClassListOfHandle;
