"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHandlesWithText = void 0;
async function getHandlesWithText(text, handles) {
    const result = [];
    for (let index = 0; index < handles.length; index++) {
        const handle = handles[index];
        const innerText = await handle.evaluate((node) => {
            const nodeWithText = node;
            if (nodeWithText && typeof nodeWithText.innerText === 'string') {
                return nodeWithText.innerText.replace(/\s/g, ' ');
            }
            return undefined;
        });
        if (innerText && innerText.includes(text)) {
            result.push(handle);
        }
    }
    return result;
}
exports.getHandlesWithText = getHandlesWithText;
