"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const playwright_1 = require("playwright");
const SUT = tslib_1.__importStar(require("../index"));
describe('handle has class', () => {
    let browser = undefined;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    afterEach(async () => {
        if (browser) {
            await browser.close();
        }
    });
    test('should return true when selector has class', async () => {
        // Given
        browser = await playwright_1.chromium.launch({ headless: true });
        const browserContext = await browser.newContext({ viewport: null });
        const page = await browserContext.newPage();
        const url = `file:${path.join(__dirname, 'has-handle-class.test.html')}`;
        await page.goto(url);
        const selector = '#with-two-classes';
        const handle = await page.$(selector);
        // When
        const result1 = await SUT.hasHandleClass(handle, 'foo');
        const result2 = await SUT.hasHandleClass(handle, 'bar');
        // Then
        expect(handle).toBeDefined();
        expect(result1).toBe(true);
        expect(result2).toBe(true);
    });
    test('should return false when selector has not the class', async () => {
        // Given
        browser = await playwright_1.chromium.launch({ headless: true });
        const browserContext = await browser.newContext({ viewport: null });
        const page = await browserContext.newPage();
        const url = `file:${path.join(__dirname, 'has-handle-class.test.html')}`;
        await page.goto(url);
        const selector = '#with-two-classes';
        const handle = await page.$(selector);
        // When
        const result1 = await SUT.hasHandleClass(handle, 'foobar');
        const result2 = await SUT.hasHandleClass(handle, 'foo bar');
        // Then
        expect(handle).toBeDefined();
        expect(result1).toBe(false);
        expect(result2).toBe(false);
    });
});
