"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasNotHandleClass = void 0;
const get_class_list_of_handle_1 = require("../get-class-list-of-handle");
async function hasNotHandleClass(handle, expectedClass) {
    if (!handle) {
        return false;
    }
    const classList = await (0, get_class_list_of_handle_1.getClassListOfHandle)(handle);
    if (!Array.isArray(classList)) {
        return true;
    }
    // prettier-ignore
    const hasClass = classList
        .filter((c) => c === expectedClass)
        .length > 0;
    return !hasClass;
}
exports.hasNotHandleClass = hasNotHandleClass;
