"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isHandleChecked = void 0;
const utils_1 = require("../../../utils");
async function isHandleChecked(selector, options) {
    if (selector === undefined || selector === null) {
        return false;
    }
    const result = await selector.evaluate((el) => {
        const inputElement = el;
        if (inputElement && inputElement.checked !== undefined) {
            return inputElement.checked;
        }
        return false;
    });
    (0, utils_1.report)(`handle is ${result ? 'checked' : 'unchecked'}`, options.verbose);
    return result;
}
exports.isHandleChecked = isHandleChecked;
