"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isHandleDisabled = void 0;
const utils_1 = require("../../../utils");
async function isHandleDisabled(selector, options) {
    if (selector === undefined || selector === null) {
        return false;
    }
    const result = await selector.evaluate((el) => {
        const inputElement = el;
        if (inputElement && inputElement.disabled !== undefined) {
            return inputElement.disabled;
        }
        return false;
    });
    (0, utils_1.report)(`handle is ${result ? 'disabled' : 'enabled'}`, options.verbose);
    return result;
}
exports.isHandleDisabled = isHandleDisabled;
