"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isHandleEnabled = void 0;
const utils_1 = require("../../../utils");
async function isHandleEnabled(selector, options) {
    if (selector === undefined || selector === null) {
        return false;
    }
    const result = await selector.evaluate((el) => {
        const inputElement = el;
        if (inputElement && inputElement.disabled !== undefined) {
            return !inputElement.disabled;
        }
        return true;
    });
    (0, utils_1.report)(`handle is ${result ? 'enabled' : 'disabled'}`, options.verbose);
    return result;
}
exports.isHandleEnabled = isHandleEnabled;
