"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isHandleReadOnly = void 0;
const utils_1 = require("../../../utils");
async function isHandleReadOnly(selector, options) {
    if (selector === undefined || selector === null) {
        return false;
    }
    const result = await selector.evaluate((el) => {
        const inputElement = el;
        if (inputElement && inputElement.readOnly !== undefined) {
            return inputElement.readOnly;
        }
        return false;
    });
    (0, utils_1.report)(`handle is ${result ? 'read-only' : 'not read-only'}`, options.verbose);
    return result;
}
exports.isHandleReadOnly = isHandleReadOnly;
