"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isHandleUnchecked = void 0;
const utils_1 = require("../../../utils");
async function isHandleUnchecked(selector, options) {
    if (selector === undefined || selector === null) {
        return false;
    }
    const result = await selector.evaluate((el) => {
        const inputElement = el;
        if (inputElement && inputElement.checked !== undefined) {
            return !inputElement.checked;
        }
        return false;
    });
    (0, utils_1.report)(`handle is ${result ? 'unchecked' : 'checked'}`, options.verbose);
    return result;
}
exports.isHandleUnchecked = isHandleUnchecked;
