"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const playwright_1 = require("playwright");
const SUT = tslib_1.__importStar(require("../index"));
const page_actions_1 = require("../../../page-actions");
describe('scroll to handle', () => {
    let browser = undefined;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    afterEach(async () => {
        if (browser) {
            await browser.close();
        }
    });
    test('should do nothing when handle is undefined', async () => {
        // Given
        browser = await playwright_1.chromium.launch({ headless: true });
        const browserContext = await browser.newContext({ viewport: null });
        const page = await browserContext.newPage();
        const handle = undefined;
        // When
        const previousViewportRectangle = await (0, page_actions_1.getViewportRectangleOf)(page);
        await SUT.scrollToHandle(handle);
        const currentViewportRectangle = await (0, page_actions_1.getViewportRectangleOf)(page);
        // Then
        expect(previousViewportRectangle).toMatchObject(currentViewportRectangle || {});
    });
    test('should do nothing when handle is null', async () => {
        // Given
        browser = await playwright_1.chromium.launch({ headless: true });
        const browserContext = await browser.newContext({ viewport: null });
        const page = await browserContext.newPage();
        const handle = null;
        // When
        const previousViewportRectangle = await (0, page_actions_1.getViewportRectangleOf)(page);
        await SUT.scrollToHandle(handle);
        const currentViewportRectangle = await (0, page_actions_1.getViewportRectangleOf)(page);
        // Then
        expect(previousViewportRectangle).toMatchObject(currentViewportRectangle || {});
    });
});
