import { Frame, Page } from 'playwright';
export interface PasteTextOptions {
    /**
     * Time to wait between key presses in milliseconds.
     * Defaults to 50
     *
     * @type {number}
     * @memberof TypeTextOptions
     */
    delay: number;
    /**
     * Should be set to true when the underlying selector does not explicitely handle the paste event.
     * When sets to true, playwright-fluent automatically attaches a paste event handler on the focused selector.
     * Defaults to false.
     *
     * @type {boolean}
     * @memberof PasteTextOptions
     */
    handlePasteEvent: boolean;
    /**
     * Clear any existing content before pasting
     * Defaults to true
     *
     * @type {boolean}
     * @memberof PasteTextOptions
     */
    clearExistingContent: boolean;
}
export declare const defaultPasteTextOptions: PasteTextOptions;
export declare function pasteText(text: string, page: Page | Frame | undefined, options: PasteTextOptions): Promise<void>;
