import { Frame, Page } from 'playwright';
export interface TypeTextOptions {
    /**
     * Time to wait between key presses in milliseconds.
     * Defaults to 50
     *
     * @type {number}
     * @memberof TypeTextOptions
     */
    delay: number;
    /**
     * Clear existing text before typing.
     * Defaults to true
     *
     * @type {boolean}
     * @memberof TypeTextOptions
     */
    clearExistingTextBeforeTyping: boolean;
}
export declare const defaultTypeTextOptions: TypeTextOptions;
export declare function typeText(text: string, page: Page | Frame | undefined, options: TypeTextOptions): Promise<void>;
