"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clickOnSelector = void 0;
const handle_actions_1 = require("../../handle-actions");
const get_handle_of_1 = require("../get-handle-of");
const utils_1 = require("../../../utils");
async function clickOnSelector(selector, page, options) {
    if (!page) {
        throw new Error(`Cannot click on '${selector}' because no browser has been launched`);
    }
    const waitOptions = {
        ...utils_1.defaultWaitUntilOptions,
        ...options,
    };
    const handle = await (0, get_handle_of_1.getHandleOf)(selector, page, waitOptions);
    await (0, handle_actions_1.clickOnHandle)(handle, selector, page, options);
}
exports.clickOnSelector = clickOnSelector;
