"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.doubleClickOnSelector = void 0;
const get_handle_of_1 = require("../get-handle-of");
const utils_1 = require("../../../utils");
const handle_actions_1 = require("../../handle-actions");
async function doubleClickOnSelector(selector, page, options) {
    if (!page) {
        throw new Error(`Cannot double-click on '${selector}' because no browser has been launched`);
    }
    const waitOptions = {
        ...utils_1.defaultWaitUntilOptions,
        ...options,
    };
    const handle = await (0, get_handle_of_1.getHandleOf)(selector, page, waitOptions);
    await (0, handle_actions_1.doubleClickOnHandle)(handle, selector, page, options);
}
exports.doubleClickOnSelector = doubleClickOnSelector;
