"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAttributeOfSelector = void 0;
const get_handle_of_1 = require("../get-handle-of");
const handle_actions_1 = require("../../handle-actions");
async function getAttributeOfSelector(selector, attributeName, page, options) {
    if (!page) {
        throw new Error(`Error: cannot get the attribute '${attributeName}' of '${selector}' because no browser has been launched`);
    }
    const handle = await (0, get_handle_of_1.getHandleOf)(selector, page, options);
    const result = await (0, handle_actions_1.getAttributeOfHandle)(attributeName, handle);
    return result;
}
exports.getAttributeOfSelector = getAttributeOfSelector;
