"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const playwright_1 = require("playwright");
const SUT = tslib_1.__importStar(require("../index"));
describe('get viewport rectangle of page', () => {
    let browser = undefined;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    afterEach(async () => {
        if (browser) {
            await browser.close();
        }
    });
    test.skip('should return defaultViewport - firefox', async () => {
        // Given
        browser = await playwright_1.firefox.launch({ headless: false });
        const browserContext = await browser.newContext();
        const page = await browserContext.newPage();
        // When
        const result = await SUT.getViewportRectangleOf(page);
        // Then
        const defaultViewportRectangle = {
            height: 600,
            offsetLeft: 0,
            offsetTop: 0,
            pageLeft: 0,
            pageTop: 0,
            scale: 1,
            width: 800,
        };
        expect(result).toBeDefined();
        expect(result).toMatchObject(defaultViewportRectangle);
    });
});
