"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const playwright_1 = require("playwright");
const SUT = tslib_1.__importStar(require("../index"));
describe('get viewport rectangle of page', () => {
    let browser = undefined;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    afterEach(async () => {
        if (browser) {
            await browser.close();
        }
    });
    test('should return defaultViewport - webkit', async () => {
        // Given
        browser = await playwright_1.webkit.launch({ headless: true });
        const browserContext = await browser.newContext();
        const page = await browserContext.newPage();
        // When
        const result = await SUT.getViewportRectangleOf(page);
        // Then
        const defaultViewportRectangle = {
            height: 720,
            offsetLeft: 0,
            offsetTop: 0,
            pageLeft: 0,
            pageTop: 0,
            scale: 1,
            width: 1280,
        };
        const defaultViewportRectangleOnCI = {
            height: 720,
            offsetLeft: 0,
            offsetTop: 0,
            pageLeft: 0,
            pageTop: 0,
            scale: 1,
            width: 1024,
        };
        expect(result).toBeDefined();
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        expect(result.height).toBe(defaultViewportRectangle.height);
        expect(
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        result.width === defaultViewportRectangle.width ||
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            result.width === defaultViewportRectangleOnCI.width).toBe(true);
    });
});
