"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasNotSelectorClass = void 0;
const get_handle_of_1 = require("../get-handle-of");
const has_not_handle_class_1 = require("../../handle-actions/has-not-handle-class");
async function hasNotSelectorClass(selector, expectedClass, page, options) {
    if (!page) {
        throw new Error(`Cannot check that '${selector}' does not have class '${expectedClass}' because no browser has been launched`);
    }
    const handle = await (0, get_handle_of_1.getHandleOf)(selector, page, options);
    const result = await (0, has_not_handle_class_1.hasNotHandleClass)(handle, expectedClass);
    return result;
}
exports.hasNotSelectorClass = hasNotSelectorClass;
