"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasSelectorAriaLabel = void 0;
const get_handle_of_1 = require("../get-handle-of");
const handle_actions_1 = require("../../handle-actions");
async function hasSelectorAriaLabel(selector, expectedAriaLabel, page, options) {
    if (!page) {
        throw new Error(`Cannot check that '${selector}' has aria-label '${expectedAriaLabel}' because no browser has been launched`);
    }
    const handle = await (0, get_handle_of_1.getHandleOf)(selector, page, options);
    const result = await (0, handle_actions_1.hasHandleAriaLabel)(handle, expectedAriaLabel);
    return result;
}
exports.hasSelectorAriaLabel = hasSelectorAriaLabel;
