"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hoverOnSelector = void 0;
const handle_actions_1 = require("../../handle-actions");
const get_handle_of_1 = require("../get-handle-of");
async function hoverOnSelector(selector, page, options) {
    if (!page) {
        throw new Error(`Cannot hover on '${selector}' because no browser has been launched`);
    }
    const handle = await (0, get_handle_of_1.getHandleOf)(selector, page, {
        ...options,
        throwOnTimeout: true,
        wrapPredicateExecutionInsideTryCatch: true,
    });
    await (0, handle_actions_1.hoverOnHandle)(handle, selector, page, options);
}
exports.hoverOnSelector = hoverOnSelector;
