"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const playwright_1 = require("playwright");
const SUT = tslib_1.__importStar(require("../index"));
const dom_actions_1 = require("../../../dom-actions");
const handle_actions_1 = require("../../../handle-actions");
// TODO: re-enable these tests on v1.0.0
describe.skip('hover on selector', () => {
    let browser = undefined;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    afterEach(async () => {
        if (browser) {
            await browser.close();
        }
    });
    test('should wait for the selector to exists before hovering - firefox', async () => {
        // Given
        browser = await playwright_1.firefox.launch({ headless: false });
        const browserContext = await browser.newContext({ viewport: null });
        const page = await browserContext.newPage();
        await (0, dom_actions_1.showMousePosition)(page);
        const url = `file:${path.join(__dirname, 'hover-on-selector.test.html')}`;
        await page.goto(url);
        const selector = '#dynamically-added';
        let handle = await page.$(selector);
        const isSelectorVisibleBeforeScroll = await (0, handle_actions_1.isHandleVisible)(handle, handle_actions_1.defaultVerboseOptions);
        const options = {
            ...handle_actions_1.defaultHoverOptions,
        };
        // When
        await SUT.hoverOnSelector(selector, page, options);
        handle = await page.$(selector);
        const isSelectorVisibleAfterScroll = await (0, handle_actions_1.isHandleVisible)(handle, handle_actions_1.defaultVerboseOptions);
        // Then
        expect(isSelectorVisibleBeforeScroll).toBe(false);
        expect(isSelectorVisibleAfterScroll).toBe(true);
        const mousePositionClientRectangle = await (0, dom_actions_1.getClientRectangleOf)('playwright-mouse-pointer', page);
        const mouseX = mousePositionClientRectangle.left + mousePositionClientRectangle.width / 2;
        const mouseY = mousePositionClientRectangle.top + mousePositionClientRectangle.height / 2;
        const currentClientRectangle = await (0, dom_actions_1.getClientRectangleOf)(selector, page);
        const expectedX = currentClientRectangle.left + currentClientRectangle.width / 2;
        const expectedY = currentClientRectangle.top + currentClientRectangle.height / 2;
        expect(Math.abs(mouseX - expectedX)).toBeLessThanOrEqual(1);
        expect(Math.abs(mouseY - expectedY)).toBeLessThanOrEqual(1);
    });
});
