"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const playwright_1 = require("playwright");
const SUT = tslib_1.__importStar(require("../index"));
const dom_actions_1 = require("../../../dom-actions");
const has_handle_focus_1 = require("../../../handle-actions/has-handle-focus");
const invoke_method_on_selector_1 = require("../invoke-method-on-selector");
const handle_actions_1 = require("../../../handle-actions");
describe('invoke method on selector', () => {
    let browser = undefined;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    afterEach(async () => {
        if (browser) {
            await browser.close();
        }
    });
    test('should wait for the selector to exist in DOM before invoking method - chromium', async () => {
        // Given
        browser = await playwright_1.chromium.launch({ headless: false });
        const browserContext = await browser.newContext({ viewport: null });
        const page = await browserContext.newPage();
        await (0, dom_actions_1.showMousePosition)(page);
        const url = `file:${path.join(__dirname, 'invoke-method-on-selector.test.html')}`;
        await page.goto(url);
        const selector = '#dynamically-added-checkbox';
        const options = {
            ...invoke_method_on_selector_1.defaultInvokeOptions,
        };
        // When
        await SUT.invokeMethodOnSelector('click', selector, page, options);
        const handle = await page.$(selector);
        // Then
        expect(await (0, has_handle_focus_1.hasHandleFocus)(handle)).toBe(false);
        expect(await (0, handle_actions_1.isHandleChecked)(handle, handle_actions_1.defaultVerboseOptions)).toBe(true);
    });
});
