"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSelectorVisible = void 0;
const get_handle_of_1 = require("../get-handle-of");
const handle_actions_1 = require("../../handle-actions");
async function isSelectorVisible(selector, page, options) {
    if (!page) {
        throw new Error(`Cannot get visibility status of '${selector}' because no browser has been launched`);
    }
    const handle = await (0, get_handle_of_1.getHandleOf)(selector, page, options);
    const result = await (0, handle_actions_1.isHandleVisible)(handle, { verbose: options.verbose });
    return result;
}
exports.isSelectorVisible = isSelectorVisible;
