"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pause = void 0;
// eslint-disable-next-line @typescript-eslint/no-var-requires
const isCI = require('is-ci');
async function pause(page) {
    if (!page) {
        throw new Error(`Cannot pause because no browser has been launched`);
    }
    if (!page.pause) {
        // eslint-disable-next-line no-console
        console.warn('page.pause() method only exists in playwright version 1.9.0');
        return;
    }
    if (isCI) {
        // eslint-disable-next-line no-console
        console.warn('page.pause() method is ignored on CI');
        return;
    }
    await page.pause();
}
exports.pause = pause;
