"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectorDoesNotExist = void 0;
const utils_1 = require("../../../utils");
const dom_actions_1 = require("../../dom-actions");
async function selectorDoesNotExist(selector, page, options) {
    if (!page) {
        throw new Error(`Cannot check that '${selector}' does not exist because no browser has been launched`);
    }
    (0, utils_1.report)('waiting for the selector to disappear from DOM ...', options.verbose);
    await (0, utils_1.waitUntil)(() => (0, dom_actions_1.doesNotExist)(selector, page), `Selector '${selector}' was found in DOM`, options);
    const result = await (0, dom_actions_1.doesNotExist)(selector, page);
    return result;
}
exports.selectorDoesNotExist = selectorDoesNotExist;
