"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const playwright_1 = require("playwright");
const take_fullpage_screenshot_as_base64_1 = require("../take-fullpage-screenshot-as-base64");
describe('full page screenshot', () => {
    let browser = undefined;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    afterEach(async () => {
        if (browser) {
            await browser.close();
        }
    });
    test('should take screenshot', async () => {
        // Given
        browser = await playwright_1.chromium.launch({ headless: true });
        const context = await browser.newContext({ viewport: null });
        const page = await context.newPage();
        await page.goto(`file:${path.join(__dirname, 'take-fullpage-screenshot-as-base64.test.html')}`);
        // When
        const result = await (0, take_fullpage_screenshot_as_base64_1.takeFullPageScreenshotAsBase64)(page, take_fullpage_screenshot_as_base64_1.defaultFullPageScreenshotOptions);
        // Then
        expect(typeof result).toBe('string');
        expect(result.startsWith('iVBOR')).toBe(true);
        expect(result.endsWith('==') || result.endsWith('CYII=')).toBe(true);
    });
});
