"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasSelectorObjectClass = void 0;
const utils_1 = require("../../../utils");
const handle_actions_1 = require("../../handle-actions");
async function hasSelectorObjectClass(selector, expectedClass, page, options) {
    if (!page) {
        throw new Error(`Cannot check that '${selector.toString()}' has class '${expectedClass}' because no browser has been launched`);
    }
    (0, utils_1.report)('waiting for the selector to appear in DOM ...', options.verbose);
    await (0, utils_1.waitUntil)(() => selector.exists(), `Cannot check that '${selector.toString()}' has class '${expectedClass}' because this selector was not found in DOM`, options);
    const handle = await selector.getHandle();
    return await (0, handle_actions_1.hasHandleClass)(handle, expectedClass);
}
exports.hasSelectorObjectClass = hasSelectorObjectClass;
