"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasSelectorObjectPlaceholder = void 0;
const utils_1 = require("../../../utils");
const handle_actions_1 = require("../../handle-actions");
async function hasSelectorObjectPlaceholder(selector, expectedPlaceholder, page, options) {
    if (!page) {
        throw new Error(`Cannot check that '${selector.toString()}' has placeholder '${expectedPlaceholder}' because no browser has been launched`);
    }
    (0, utils_1.report)('waiting for the selector to appear in DOM ...', options.verbose);
    await (0, utils_1.waitUntil)(() => selector.exists(), `Cannot check that '${selector.toString()}' has placeholder '${expectedPlaceholder}' because this selector was not found in DOM`, options);
    const handle = await selector.getHandle();
    return await (0, handle_actions_1.hasHandlePlaceholder)(handle, expectedPlaceholder);
}
exports.hasSelectorObjectPlaceholder = hasSelectorObjectPlaceholder;
