"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fluent_api_1 = require("../../../../fluent-api");
const SUT = tslib_1.__importStar(require("../index"));
describe('has selector object expected placeholder', () => {
    let p;
    beforeEach(() => {
        p = new fluent_api_1.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should throw an error when browser has not been launched', async () => {
        // Given
        // When
        let result = undefined;
        try {
            const selector = p.selector('foobar');
            await SUT.hasSelectorObjectPlaceholder(selector, 'yo', p.currentPage(), fluent_api_1.defaultWaitUntilOptions);
        }
        catch (error) {
            result = error;
        }
        // Then
        const expectedErrorMessage = "Cannot check that 'selector(foobar)' has placeholder 'yo' because no browser has been launched";
        expect(result && result.message).toContain(expectedErrorMessage);
    });
});
