"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectOptionsByValueInSelectorObject = void 0;
const utils_1 = require("../../../utils");
const handle_actions_1 = require("../../handle-actions");
async function selectOptionsByValueInSelectorObject(selector, values, page, options) {
    if (!page) {
        throw new Error(`Cannot select options '${values}' in '${selector.toString()}' because no browser has been launched`);
    }
    (0, utils_1.report)('waiting for the selector to appear in DOM ...', options.verbose);
    await (0, utils_1.waitUntil)(() => selector.exists(), `Cannot select options '${values}' in '${selector.toString()}' because this selector was not found in DOM`, {
        ...options,
        throwOnTimeout: true,
        wrapPredicateExecutionInsideTryCatch: true,
    });
    const handle = await selector.getHandle();
    await (0, handle_actions_1.selectOptionsByValueInHandle)(handle, selector.toString(), values, page, options);
}
exports.selectOptionsByValueInSelectorObject = selectOptionsByValueInSelectorObject;
