"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fluent_api_1 = require("../../../../fluent-api");
const SUT = tslib_1.__importStar(require("../index"));
const handle_actions_1 = require("../../../handle-actions");
describe('select options by value in selector object', () => {
    let p;
    beforeEach(() => {
        p = new fluent_api_1.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should throw an error when browser has not been launched', async () => {
        // Given
        // When
        let result = undefined;
        try {
            const selector = p.selector('foobar');
            await SUT.selectOptionsByValueInSelectorObject(selector, ['value 1'], p.currentPage(), handle_actions_1.defaultSelectOptions);
        }
        catch (error) {
            result = error;
        }
        // Then
        const expectedErrorMessage = "Cannot select options 'value 1' in 'selector(foobar)' because no browser has been launched";
        expect(result && result.message).toContain(expectedErrorMessage);
    });
});
