"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectorObjectDoesNotExist = void 0;
const utils_1 = require("../../../utils");
async function selectorObjectDoesNotExist(selector, page, options) {
    if (!page) {
        throw new Error(`Cannot check that '${selector.toString()}' does not exist because no browser has been launched`);
    }
    (0, utils_1.report)('waiting for the selector to be removed from DOM ...', options.verbose);
    await (0, utils_1.waitUntil)(() => selector.doesNotExist(), `'${selector.toString()}' was not found in DOM`, {
        ...options,
        throwOnTimeout: false,
    });
    return await selector.doesNotExist();
}
exports.selectorObjectDoesNotExist = selectorObjectDoesNotExist;
