"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = require("fs");
const path = tslib_1.__importStar(require("path"));
const deviceDescriptorsFileName = path.join(__dirname, 'deviceDescriptorsSource.json');
const devicesDescriptors = JSON.parse((0, fs_1.readFileSync)(deviceDescriptorsFileName).toString());
const allKnownDevices = [];
for (const key in devicesDescriptors) {
    const deviceDescriptor = devicesDescriptors[key];
    const knownDevice = {
        ...deviceDescriptor,
        name: key,
    };
    allKnownDevices.push(knownDevice);
}
(0, fs_1.writeFileSync)(path.join(__dirname, 'device-descriptors.json'), JSON.stringify(allKnownDevices, null, 2));
