/**
 * Copyright 2017 Google Inc. All rights reserved.
 * Modifications copyright (c) Microsoft Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { WindowSize } from '.';
/**
 * **DEPRECATED** Use `ViewportSize` instead.
 * @deprecated
 */
export interface Viewport {
    width: number;
    height: number;
}
export type ViewportSize = {
    width: number;
    height: number;
};
export interface ViewportOptions {
    ciOnly: boolean;
}
export declare const defaultViewportOptions: ViewportOptions;
export interface Device {
    defaultBrowserType?: 'chromium' | 'firefox' | 'webkit';
    deviceScaleFactor: number;
    hasTouch: boolean;
    isMobile: boolean;
    name: string;
    screen?: WindowSize;
    userAgent: string;
    viewport: ViewportSize;
}
export declare const allKnownDevices: Device[];
