"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../../playwright-fluent"));
describe('Playwright Fluent - click', () => {
    let p;
    beforeEach(() => {
        p = new SUT.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should give back an error on click without launching the browser', async () => {
        // Given
        // When
        let result = undefined;
        try {
            await p.click('foobar');
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot click on 'foobar' because no browser has been launched");
    });
    test('should give back an error on click(selector-fluent) without launching the browser', async () => {
        // Given
        const selector = p.selector('foobar');
        // When
        let result = undefined;
        try {
            await p.click(selector);
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot click on 'selector(foobar)' because no browser has been launched");
    });
});
