"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const playwright_fluent_1 = require("../../playwright-fluent");
describe('Playwright Fluent - close', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should close chromium', async () => {
        // Given
        const browser = 'chromium';
        const p = new playwright_fluent_1.PlaywrightFluent();
        // And
        await p.withBrowser(browser);
        let createdBrowser = p.currentBrowser();
        const previousConnectedStatus = createdBrowser && createdBrowser.isConnected();
        // When
        await p.close();
        // Then
        createdBrowser = p.currentBrowser();
        const currentConnectedStatus = createdBrowser && createdBrowser.isConnected();
        expect(createdBrowser).toBeDefined();
        expect(previousConnectedStatus).toBe(true);
        expect(currentConnectedStatus).toBe(false);
    });
});
