"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const playwright_1 = require("playwright");
const playwright_fluent_1 = require("../../playwright-fluent");
describe('Playwright Fluent - ctor usage', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should take existing browser and frame instance of chromium', async () => {
        // Given
        const browser = await playwright_1.chromium.launch({ headless: true });
        const context = await browser.newContext();
        const url = `file:${path.join(__dirname, 'ctor.test.html')}`;
        const page = await context.newPage();
        await page.goto(url);
        const frameHandle = await page.$('iframe');
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        const frame = await frameHandle.contentFrame();
        // When
        const p = new playwright_fluent_1.PlaywrightFluent(browser, frame);
        // Then
        expect(p.currentBrowser()).toBe(browser);
        expect(p.currentPage()).toBe(page);
        expect(p.currentFrame()).toBe(frame);
        await browser.close();
    });
});
