"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../../playwright-fluent"));
describe('Playwright Fluent - double-click', () => {
    let p;
    beforeEach(() => {
        p = new SUT.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should give back an error on double-click when browser is not launched', async () => {
        // Given
        // When
        let result = undefined;
        try {
            await p.doubleClick('foobar');
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot double-click on 'foobar' because no browser has been launched");
    });
    test('should give back an error on double-click(selector-fluent) when browser is not launched', async () => {
        // Given
        const selector = p.selector('foobar');
        // When
        let result = undefined;
        try {
            await p.doubleClick(selector);
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot double-click on 'selector(foobar)' because no browser has been launched");
    });
});
