"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../../playwright-fluent"));
describe('Playwright Fluent - expect does not exist', () => {
    let p;
    beforeEach(() => {
        p = new SUT.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should give back an error on expectThat.doesNotExist when browser has not been launched', async () => {
        // Given
        // When
        let result = undefined;
        try {
            await p.expectThatSelector('foobar').doesNotExist();
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot check that 'foobar' does not exist because no browser has been launched");
    });
    test('should give back an error on expectThat(selector-fluent).doesNotExist when browser has not been launched', async () => {
        // Given
        const selector = p.selector('foobar');
        // When
        let result = undefined;
        try {
            await p.expectThat(selector).doesNotExist();
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot check that 'selector(foobar)' does not exist because no browser has been launched");
    });
});
