"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../../playwright-fluent"));
describe('Playwright Fluent - expect has exact value', () => {
    let p;
    beforeEach(() => {
        p = new SUT.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should give back an error on expectThat.hasExactValue when browser has not been launched', async () => {
        // Given
        // When
        let result = undefined;
        try {
            await p.expectThatSelector('foo').hasExactValue('bar');
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot check exact value of 'foo' because no browser has been launched");
    });
    test('should give back an error on expectThat(selector-fluent).hasExactValue when browser has not been launched', async () => {
        // Given
        const selector = p.selector('foo');
        // When
        let result = undefined;
        try {
            await p.expectThat(selector).hasExactValue('bar');
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot check exact value of 'selector(foo)' because no browser has been launched");
    });
});
