"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../../playwright-fluent"));
describe('Playwright Fluent - invoke method', () => {
    let p;
    beforeEach(() => {
        p = new SUT.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should give back an error when browser has not been launched', async () => {
        // Given
        // When
        let result = undefined;
        try {
            await p.invokeMethod('click', 'foobar');
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot invoke method 'click' on 'foobar' because no browser has been launched");
    });
});
