"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../../playwright-fluent"));
describe('Playwright Fluent - onRequestTo(url).respondWith()', () => {
    let p;
    beforeEach(() => {
        p = new SUT.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should return an error when browser has not been launched', async () => {
        // Given
        // When
        let result = undefined;
        try {
            // prettier-ignore
            await p
                .onRequestTo('/foobar')
                .respondWith({ status: 500 });
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot intercept requests to '/foobar' because no browser has been launched");
    });
});
