"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../../playwright-fluent"));
describe('Playwright Fluent - switchToIframe', () => {
    let p;
    beforeEach(() => {
        p = new SUT.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should give back an error on switching to iframe without launching the browser', async () => {
        // Given
        // When
        let result = undefined;
        try {
            await p.switchToIframe('foobar');
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain("Cannot switch to iframe from 'foobar' because no browser has been launched");
    });
});
