"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const SUT = tslib_1.__importStar(require("../../playwright-fluent"));
describe('Playwright Fluent - takeFullPageScreenshotAsBase64', () => {
    let p;
    beforeEach(() => {
        p = new SUT.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should take screenshot', async () => {
        // Given
        const url = `file:${path.join(__dirname, 'take-fullpage-screenshot-as-base64.test.html')}`;
        // When
        // prettier-ignore
        await p
            .withBrowser('chromium')
            .withOptions({ headless: true })
            .navigateTo(url);
        const screenshot = await p.takeFullPageScreenshotAsBase64();
        // Then
        expect(typeof screenshot).toBe('string');
        expect(screenshot.startsWith('iVBOR')).toBe(true);
        expect(screenshot.endsWith('==') || screenshot.endsWith('CYII=')).toBe(true);
    });
});
