"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../../playwright-fluent"));
const action = tslib_1.__importStar(require("../../../actions"));
describe('Playwright Fluent - withCursor', () => {
    let p;
    beforeEach(() => {
        p = new SUT.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should show cursor with webkit', async () => {
        // Given
        const url = 'https://reactstrap.github.io';
        // When
        // prettier-ignore
        await p
            .withBrowser('webkit')
            .withOptions({ headless: true })
            .withCursor()
            .navigateTo(url);
        // Then
        const cursorExists = await action.exists('playwright-mouse-pointer', p.currentPage());
        expect(cursorExists).toBe(true);
    });
});
