"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const actions_1 = require("../../../actions");
const SUT = tslib_1.__importStar(require("../../playwright-fluent"));
describe('Playwright Fluent - withMocks()', () => {
    let p;
    beforeEach(() => {
        p = new SUT.PlaywrightFluent();
    });
    afterEach(async () => {
        await p.close();
    });
    test('should return an error when browser has not been launched', async () => {
        // Given
        const mocks = [actions_1.passthroughMock];
        // When
        let result = undefined;
        try {
            // prettier-ignore
            await p.withMocks(mocks);
        }
        catch (error) {
            result = error;
        }
        // Then
        expect(result && result.message).toContain('Cannot intercept requests with mocks because no browser has been launched');
    });
});
