import { Request } from 'playwright';
export interface QueryString {
    [key: string]: string | number | boolean | string[] | number[] | boolean[] | null;
}
export interface HttpHeaders {
    [key: string]: string;
}
export interface RequestInfo {
    url: string;
    queryString: QueryString;
    method: string;
    error: {
        errorText: string;
    } | null;
    headers: HttpHeaders;
    postData: string | unknown | undefined;
    response: ResponseInfo | null;
}
export interface ResponseInfo {
    headers: HttpHeaders;
    payload: string | unknown | undefined;
    status: number;
    statusText: string;
}
export declare function toQueryString(url: string): QueryString;
export declare function toRequestInfo(request: Request): Promise<RequestInfo>;
export declare function stringifyRequest(request: Request): Promise<string>;
