import { WaitUntilOptions } from '../wait-until';
/**
 * Waits until the function getValue() returns the same result during 300 ms.
 * The waiting mechanism can be modified by setting options
 *
 * @export
 * @param {(() => Promise<string | boolean | number | null | undefined>)} getValue
 * @param {(string | (() => Promise<string>))} errorMessage
 * @param {WaitUntilOptions} [options=defaultWaitUntilOptions]
 * @returns {Promise<void>}
 */
export declare function waitForStabilityOf(getValue: () => Promise<string | boolean | number | null | undefined>, errorMessage: string | (() => Promise<string>), options?: Partial<WaitUntilOptions>): Promise<void>;
